<div id="body" class="container-fluid">
  <h5 style="text-align:center">Unlock Order</h5>
  <h6>Complete M5 Components</h6>
  <form #form="ngForm" name="form">
    <div>
      
        <div *ngIf="displaySuccessEventMessage">
          <span style="color:blue;font-weight:bold"><label>{{validationMessage}}</label></span>
        </div>
        <div *ngIf="displaySuccessOrderMessage">
          <span style="color:blue;font-weight:bold"><label>{{validationMessage}}</label></span>
        </div>
        <div *ngIf="displayErrorMessage">
          <span style="color:red;font-weight:bold;background-color:yellow"><label>{{validationMessage}}</label> </span>
        </div>

        <div class="form-row col-12">
          <div class="form-group form-group-sm row col-24">
            <label for="name">M5 Order Number:</label>
            <div class="col-15 pl-1">
              <div class="input-group">
                <input id="name" name="name" class="form-control form-control-sm" size="30"
                       required minlength="1" appForbiddenName="-"
                       [(ngModel)]="form.name" #name="ngModel">
              </div>
            </div>
          </div>
        </div>

        <div class="form-row col-24">
          <div class="form-group form-group-sm row col-24">
            <div class="col-15 pl-1" style="margin-left:105px">
              <dx-radio-group [dataSource]="radioGroupItems"
                              displayExpr="text"
                              valueExpr="color"
                              value="0"
                              layout="horizontal"
                              (onValueChanged)="onValueChanged($event)">
              </dx-radio-group>
            </div>
          </div>
        </div>
        <div class="form-group form-group-sm row col-14">
          
          <div class="col-16 pl-1" style="margin-left:95px">
            <div class="input-group">
              
              <button class="btn btn-sm btn-primary btn-block" style="width:170px; height:auto" type="button" (click)="onSubmitSearch()" [disabled]="form.invalid">
                Send Complete Msg
              </button>
            </div>
          </div>
        </div>
        <!--div>
          <label for="name">M5 Order Number </label>
          <input id="name" name="name" class="form-control form-control-sm" size="30"
                 required minlength="1" appForbiddenName="-"
                 [(ngModel)]="form.name" #name="ngModel">
        </div>
        <table>
          <tr>
            <td style="padding:5px 20px 0 10px;">
              <dx-radio-group [dataSource]="radioGroupItems"
                              displayExpr="text"
                              valueExpr="color"
                              value="0"
                              layout="horizontal"
                              (onValueChanged)="onValueChanged($event)">
              </dx-radio-group>
            </td>
          </tr>
          <tr>

            <td style="padding:10px 10px 0 5px;">
              <button class="btn btn-sm btn-primary btn-block" style="width:170px; height:auto" type="button" (click)="onSubmitSearch()" [disabled]="form.invalid">
                Send Complete Msg
              </button>
            </td>
          </tr>
        </table>-->
        <div *ngIf="name.invalid && (name.dirty || name.touched)"
             class="alert alert-danger">

          <div *ngIf="name.errors.required">
            Please enter M5 Order Number!
          </div>
          <div *ngIf="name.errors.minlength">
            Must be at least 1 characters long.
          </div>
          <div *ngIf="name.errors.forbiddenName">
            Cannot be -(negative).
          </div>
        </div>
      </div>
    
  </form>
</div>


